import { AnyJson } from "@salesforce/ts-types";
import { flags, SfdxCommand } from "@salesforce/command";
export default class Generatepatch extends SfdxCommand {
    protected static requiresProject: boolean;
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        package: flags.Discriminated<flags.Option<string>>;
        objectsdir: flags.Discriminated<flags.Option<string>>;
        fixstandardvalueset: flags.Discriminated<flags.Boolean<boolean>>;
        fixrecordtypes: flags.Discriminated<flags.Boolean<boolean>>;
        movestandardvalueset: flags.Discriminated<flags.Boolean<boolean>>;
        apiversion: flags.Builtin;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    run(): Promise<AnyJson>;
    private generatePatchForCustomPicklistField;
    private generatePatchForRecordTypes;
    private generatePatchForBusinessProcess;
    private generatePatchForStandardValuset;
}
