"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = __importStar(require("fs-extra"));
var unzipper = require("unzip-stream");
async function extract(path, location) {
    return new Promise((resolve, reject) => {
        fs.createReadStream(path)
            .pipe(unzipper.Extract({ path: `${location}` }))
            .on("close", () => {
            resolve();
        })
            .on("error", error => reject(error));
    });
}
exports.extract = extract;
//# sourceMappingURL=extract.js.map